import { useStore } from 'vuex';
import { UserSessionState } from 'src/plugins/user/store';

export function hasPermission(permission: string) {
  const store = useStore<UserSessionState>();
  return store.state.users.currentPermissions.includes(permission);
}

export function hasPermissions(needed: string[]) {
  const store = useStore<UserSessionState>();
  const permissions = store.state.users.currentPermissions;
  return needed.every((value) => permissions.includes(value));
}

export function hasSomePermissions(needed: string[]) {
  const store = useStore<UserSessionState>();
  const permissions = store.state.users.currentPermissions;
  return needed.some((value) => permissions.includes(value));
}
